IPQ_ERRSTR(3)

NAME
ipq_errstr, ipq_perror — libipq error handling routines

SYNOPSIS
#include <linux/netfilter.h>
#include <libipq.h>

char *ipq_errstr(void);
void ipq_perror(const char *s);

DESCRIPTION
The ipq_errstr function returns a descriptive error message based on the current value of the internal ipq_errno variable. All libipq API functions set this internal variable upon failure.

The ipq_perror function prints an error message to stderr corresponding to the current value of the internal ipq_error variable, and the global errno variable (if set). The error message is prefixed with the string s as supplied by the application. If s is NULL, the error message is prefixed with the string "ERROR".

RETURN VALUE
ipq_errstr returns an error message as outlined above.

BUGS
None known.

AUTHOR
James Morris <jmorris@intercode.com.au>

COPYRIGHT
Copyright (c) 2000-2001 Netfilter Core Team.

Distributed under the GNU General Public License.

SEE ALSO
iptables(8), libipq(3).